import paddle
from paddleslim.quant import quant_post_dynamic

model_dir = './mobilenet_v1'
model_filename = None
params_filename = None
save_model_dir = './mobilenet_v1_int16'
save_model_filename = None
save_params_filename = None
quantizable_op_type = ['conv2d', 'mul']
weight_bits = 16
generate_test_model = False

# If paddle >= 2.0, enable static mode
paddle.enable_static()

quant_post_dynamic(model_dir=model_dir,
                   model_filename=model_filename,
                   params_filename=params_filename,
                   save_model_dir=save_model_dir,
                   save_model_filename=save_model_filename,
                   save_params_filename=save_params_filename,
                   quantizable_op_type=quantizable_op_type,
                   weight_bits=weight_bits,
                   generate_test_model=generate_test_model)

print("The quantized model saved in " + save_model_dir)
